<!-- 
IGAC proyecto SNC
@author:        leidy.gonzalez
@version        1.0
@cu             
@descripcion    Pantalla que permite mostrar la información para revisar detalles de la Resolucion del Tramite.
-->
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui"
             xmlns:tramite="http://java.sun.com/jsf/composite/tramite"
             xmlns:fn="http://java.sun.com/jsp/jstl/functions" width="100%">

    <p:ajaxStatus onstart="statusDialog2.show();"
                  onsuccess="statusDialog2.hide();"
                  onerror="statusDialog2.hide();alert('Error AJAX en la aplicación');" />

    <p:focus />

    <h:panelGrid >
        <tramite:tramiteResumen id="tramiteResumen"
                                tramiteParam="#{generaResolucion.currentTramite}"
                                muestraClasificacionParam="false" muestraFechaRadicacionParam="true" 
                                muestraMunicipioParam="true" muestraDepartamentoParam="true"
                                muestraInconsistenciasGeoParam="true"/>
    </h:panelGrid>                       

    <h:form id="verDetalleResolucionForm">
        <h:panelGrid width="100%">

            <p:tab title="Ver Detalles de Resolucion" id="verDetalleResolucion" >
                <p:messages id="msgsDetalleReso" showDetail="false"
                            globalOnly="false" />

                <h:panelGrid id="tipoPersonaNotificPGActualizacion" columns="8" cellspacing="15"
                             rendered="#{not empty generaResolucion.currentTramite}">

                    <h:outputLabel value="No. Resolución: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{generaResolucion.currentTramite.resultadoDocumento.numeroDocumento}"
                        styleClass="outputTextStyle" />

                    <p:spacer height="0" width="20" />
                    <h:outputLabel value="Fecha de resolución: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{generaResolucion.currentTramite.resultadoDocumento.fechaDocumento}"
                        styleClass="outputTextStyle">
                        <f:convertDateTime pattern="#{general.formatoFecha}" type="date" />
                    </h:outputText>
                    <p:spacer width="30" height="0" />
                    <h:outputText value="Ejecutor del trámite: "
                                  styleClass="outputLabelStyle" />

                    <h:outputText
                        value="#{generaResolucion.currentTramite.nombreFuncionarioEjecutor}"
                        styleClass="outputTextStyle" />
                </h:panelGrid>


                <p:outputPanel layout="block">

                    <h:panelGrid>
                        <h:outputLabel value="C O N S I D E R A N D O"
                                       styleClass="outputLabelStyle" />

                        <h:inputTextarea id="textoConsiderandoDetalleResolucion" cols="200" rows="10"
                                         value="#{generaResolucion.tramiteTextoResolucion.considerando}"/>
                    </h:panelGrid>

                    <h:panelGrid>
                        <h:outputLabel value="R E S U E L V E"
                                       styleClass="outputLabelStyle" />
                        <p:spacer height="10" />
                        <h:inputTextarea id="textoResuelveDetalleResolucion" cols="200" rows="10"
                                         value="#{generaResolucion.tramiteTextoResolucion.resuelve}"/>
                    </h:panelGrid>

                </p:outputPanel>

                <p:spacer height="10" width="0" />

                <p:outputPanel layout="block" style="text-align:left">

                    <p:commandButton value="Ver resolución preliminar"
                                     id="verResolucionPreliminarDetalleResolucionBtn"
                                     action="#{generaResolucion.generarReportePrevisualizacionResolucion}"
                                     onstart="statusDialog2.show()"
                                     oncomplete="statusDialog2.hide();visorReporteWV.show();" icon="ui-icon-search"
                                     update=":viewReport:vistaMemoForm, :generarResoForm" />
                    <p:spacer width="10" />

                </p:outputPanel>

            </p:tab>
        </h:panelGrid>
        <p:separator style="width:90%;height:3px" />
        <p:outputPanel layout="block" style="text-align:right">

            <p:commandButton value="Cerrar" id="cerrarDetalleResolucionBtn"
                             action="#{generaResolucion.cerrar}" process="@this"
                             ajax="false" icon="ui-icon-close" />
            <p:spacer width="30" />

        </p:outputPanel>
    </h:form>

</h:panelGrid>